*rego*
======

*Automatic time series forecasting and missing value imputation.*

*rego* is a machine learning algorithm for predicting and imputing time series. It can automatically set all the parameters needed, thus in the minimal configuration it only requires the target variable and the regressors if present. It can address large problems with hundreds or thousands of regressors and problems in which the number of regressors is greater than the number of observations. Moreover it can be used not only with time series but also with any other real valued target variable. The algorithm implemented includes a bayesian stochastic search methodology for model selection and a robust estimation based on boostrapping. *rego* is fast because all the code is C++.

PyPi installation
-----------------

Note! Only Python3 is supported!

```bash
pip install --upgrade setuptools
pip install Cython
pip install pandas
pip install rego
```


### Compile from source

```bash
cd /python

python -m venv env
source env/bin/activate

pip install -r requirements.txt
python setup.py build_ext --inplace
